Package picard.annotation

# Class Gene.Transcript.Exon

java.lang.Object
picard.annotation.Gene.Transcript.Exon

Enclosing class:
  Gene.Transcript

public class Gene.Transcript.Exon extends Object
1-based, inclusive representation of an exon. The sequence name is stored in an enclosing object (class Gene).

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`end`
`final int`
`start`

## Constructor Summary

Constructors
Constructor
Description
`Exon(int start, int end)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### start

public final int start

### end

public final int end

## Constructor Details

### Exon

public Exon(int start, int end)